package com.ssj.service.sys.analysis.service;

import java.util.List;
import java.util.Map;

import com.ssj.bean.sys.analysis.bean.AnalysisWeek;
import com.ssj.framework.core.common.service.BaseService;

public interface AnalysisWeekService extends BaseService<AnalysisWeek, String> {
	
	void runTaskByAnalysisWeek();
	
	public Map<String, Object> countAnalysisWeekCountCommonByCountCurDate(Map<String, Object> params);
	
	public Map<String, Object> countAnalysisWeekCountCommonByCountMonthDate(Map<String, Object> params);
	
	public Map<String, Object> countLibJoinCountCommonByCountDate(Map<String, Object> params);
	
	public List<Map<String, Object>> countLibJoinCountCommonByCountDateExport(Map<String, Object> params);
	
	public Map<String, Object> countVipActivateCountCommonByCountDate(Map<String, Object> params);
	
	public List<Map<String, Object>> countVipActivateCountCommonByCountDateExport(Map<String, Object> params);
	
	
	
}
